System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

Properties that are marked with the set to true can be combined with properties belonging to other objects in a Properties window. Properties that are marked with the set to false must be displayed separately. The default is true.

When you mark a property with the set to true, the value of this attribute is set to the constant member . For a property marked with the property set to false, the value is . Therefore, when you want to check the value of this attribute in your code, you must specify the attribute as or .

For more information, see Extending Metadata Using Attributes.

Specifies that this property can be combined with properties belonging to other objects in a Properties window.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  true if this property can be combined with properties belonging to other objects in a Properties window; otherwise, false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether this property can be combined with properties belonging to other objects in a Properties window.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MergablePropertyAttribute

  When you mark a property with this value, this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies the default value, which is , that is a property can be combined with properties belonging to other objects in a Properties window. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates whether this instance and a specified object are equal.

  true if is equal to this instance; otherwise, false.

  Another object to compare to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MergablePropertyAttribute

  When you mark a property with the set to false, the value of this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property cannot be combined with properties belonging to other objects in a Properties window. This static field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.MergablePropertyAttribute

  This field is the default setting for this attribute.

  When you mark a property with the set to true, the value of this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property can be combined with properties belonging to other objects in a Properties window. This static field is read-only.